@import 'modal.css';

/* -------------- */
/* GENERAL STYLES */
/* -------------- */

*, *::before, *::after {
  box-sizing: border-box;
}

:root {
  scroll-behavior: smooth;
  scroll-padding-top: 3.5rem;
  font-size: clamp(15px, 1vw + 5px, 17px);
  font-family: 'Roboto-Condensed';

  --app-buffer: 1rem;
}

body {
  margin: 0;
  overflow-x: hidden;
}

p, a, li, dd, span, input, button {
  font-weight: 325;
}

#app-outlet {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto 1fr auto;
}

/* ---------- */
/* APP HEADER */
/* ---------- */

#app-header {
  position: relative;
  width: 100%;
  height: 100vh;
  height: 100dvh;

  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto 1fr;
  grid-template-areas: 
    'nav' 'hero';
}

#app-header::before {
  --line-one: calc(50% - 0.5px);
  --line-two: calc(50% + 0.5px);
  --size: max(2rem, calc(100vw / 25));

  display: block;
  content: '';
  position: absolute;
  inset: 0px;
  z-index: 1;
  
  background-image: 
    linear-gradient(to right, transparent var(--line-one), white var(--line-one), white var(--line-two), transparent var(--line-two)),
    linear-gradient(to right, transparent var(--line-one), rgba(255, 255, 255, 0.45) var(--line-one), rgba(255, 255, 255, 0.45) var(--line-two), transparent var(--line-two)),
    linear-gradient(to bottom, transparent var(--line-one), white var(--line-one), white var(--line-two), transparent var(--line-two)),
    linear-gradient(to bottom, transparent var(--line-one), rgba(255, 255, 255, 0.45) var(--line-one), rgba(255, 255, 255, 0.45) var(--line-two), transparent var(--line-two));
  background-size: var(--size) var(--size), calc(var(--size) / 5) calc(var(--size) / 5), var(--size) var(--size), calc(var(--size) / 5) calc(var(--size) / 5);
  background-repeat: repeat, repeat, repeat, repeat;
  background-position: center, center, center, center;
  opacity: 0.65;
  mask-image: linear-gradient(to bottom, rgba(0,0,0,0.1) 0%, rgba(0,0,0,85) 90%, rgba(0,0,0,1));
}

.nav-btn {
  display: none;
  position: fixed;
  border-bottom-right-radius: 0.25rem;
  border-bottom-left-radius: 0.25rem;
  top: 0;
  right: 0;
  margin-right: 1rem;

  padding: 0.25rem 0.5rem;
  z-index: 6;
  cursor: pointer;
  background-color: rgba(255, 255, 255, 0.85);
  border: none;
}

.nav {
  position: fixed;

  grid-area: nav;
  top: 0;
  left: 0;
  right: 0;
  z-index: 5;
  padding: var(--app-buffer);
  background-color: white;
  box-shadow: 
    0.1rem 0.1rem 0.2rem rgba(0,0,0,0.05),
    0.25rem 0.25rem 0.45rem rgba(0,0,0,0.1);
}

.nav > ul {
  width: fit-content;

  margin: 0;
  margin-left: auto;
  padding: 0;

  display: flex;
  align-items: center;
  gap: 1rem;

  list-style-type: none;
}

.nav a {
  color: black;
  text-decoration: none;
  font-weight: 450;
}

@media all and (max-width: 600px) {
  :root {
    scroll-padding-top: 0.5rem;
  }

  .nav-btn {
    display: block;
  }

  .nav { 
    padding: var(--app-buffer) 0;
  }
  
  .nav > ul {
    width: 100%;
    margin-left: 0;

    flex-direction: column;
    align-items: stretch;
    gap: 0;
  }

  .nav a {
    display: inline-block;
    width: 100%;
    padding: var(--app-buffer);
    transition: padding-left 150ms ease-in-out;
  }

  .nav a:hover {
    padding-left: calc(1rem + var(--app-buffer));
    background-color: aliceblue;
  }

  .nav.closed {
    transform: scale(1, 0);
    transform-origin: top;
  }

  .nav-btn i:last-child {
    display: none;
  }

  .nav-btn i:first-child {
    display: inline;
  }

  .nav-btn.closed i:first-child {
    display: none;
  }

  .nav-btn.closed i:last-child {
    display: inline;
  }
}

.hero-img-ctr {
  position: relative;

  width: 100%;
  height: 100%;
  
  grid-area: hero;
}

.hero-img-ctr > img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: right;

  opacity: 0.85;
}

.intro {
  width: fit-content;
  position: relative;

  padding: 0 var(--app-buffer);
  grid-area: hero;
  z-index: 2;
  
  display: grid;
  align-content: center;
}

.intro > h1 {
  width: fit-content;
  margin: 0;
  padding: 1rem 2rem;
  padding-bottom: 0;

  background-color: rgba(255,255,255, 0.85);
  color: rgb(24, 23, 50);
  font-size: 2.75rem;
  font-weight: 750;

  opacity: 0;
  animation: enter-title 750ms linear 350ms forwards;
}

.intro > p {
  display: flex;
  align-items: center;
  gap: 0.5rem;

  width: fit-content;
  margin: 0;
  padding: 0.5rem 1rem;

  background-color: rgba(255, 110, 97, 0.85);
  color: white;
  font-size: 1.75rem;
  font-weight: 550;

  opacity: 0;
  animation: enter-description 550ms ease-in 1100ms forwards;
}

.intro > p.dedicated-to {
  width: 100%;
  padding: 0.5rem 2rem;
  padding-top: 0;

  background-color: rgba(255,255,255, 0.85);
  color: rgb(24, 23, 50);
}

@keyframes enter-title {
  0% { opacity: 0; transform: translateY(-1.5rem) } 100% { opacity: 1; }
}

@keyframes enter-description {
  0% { opacity: 0; } 100% { opacity: 1; }
}

@media all and (max-width: 580px) {
  .intro > h1 {
    font-size: 2rem;
  }

  .intro > p {
    font-size: 1.15rem;
  }
}

/* ---------- */
/* APP FOOTER */
/* ---------- */

#app-footer {
  padding: 0 var(--app-buffer);
  border-top: 0.5rem solid rgb(244, 244, 244);
  background-color: white;
}

.contact > ul {
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.contact a {
  display: flex;
  align-items: center;
  gap: 0.5rem;

  color: #ff6f61;
  text-decoration: none;
}
.organizer {
  background-color:rgb(244, 244, 244);
}
.organizers > h2,
.contact > h2 {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.25rem;

  font-weight: 450;
  font-variation-settings: 'kern';
  font-size: 1.05rem;
  text-transform: uppercase;
  color: #ff6f61;
}

.organizers > h2::before,
.organizers > h2::after,
.contact > h2::before,
.contact > h2::after {
  display: block;
  content: '';
  width: 1.75rem;
  height: 0.005rem;
  background-color: #ffd6d3;
  flex-grow: 1;
}

.organizers-list {
  margin: 0;
  padding: 1rem 2rem;

  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1.25rem;

  list-style-type: none;
}

.organizers-list img {
  height: 4rem;
}

.organizers-list a {
  display: inline-block;
  transition: transform 300ms ease-in-out;
}

.organizers-list a:hover {
  transform: scale(1.15);
}

@media all and (max-width: 580px) {
  .organizers-list {
    padding: 1rem 1rem;
  }

  .organizers-list img {
    height: 2.45rem;
  }
}

/* ------------ */
/* MAIN CONTENT */
/* ------------ */

#app-main {
  padding-bottom: 3rem;

  display: grid;
  grid-template-columns: 
    [fw-start] var(--app-buffer) [cw-start] 1fr [cw-end] var(--app-buffer) [fw-end];
  row-gap: 3rem;
  background-color: rgb(250, 250, 250);
}

#app-main > * {  
  grid-column-start: cw-start;
  grid-column-end: cw-end;
}

#app-main > .full-width {
  grid-column-start: fw-start;
  grid-column-end: fw-end;
}

#app-main > section h2 {
  color: #c46860;
}

#app-main > section h3 {
  color: #ed7c72;
}

#app-main > section.highlight {
  margin-top: 1rem;
  padding: 0 var(--app-buffer);
  background-color: rgb(244, 244, 244);
}

#app-main > section#about img#smile {
  width: clamp(6rem, 30%, 10rem);
  float: left;
  margin-right: var(--app-buffer);
}

#app-main > section#about img#table {
  width: clamp(8rem, 30%, 12rem);
  float: right;
  margin-left: var(--app-buffer);
}

.dates > ul {
  position: relative;
  width: 100%;
  height: 0.25rem;

  margin: 0;
  margin-bottom: 5rem;
  padding: 0;

  background-color: #c46860;
  list-style-type: none;
}

.dates > ul > li {
  position: absolute;
  top: calc(100% + 0.5rem);
  transform: translateX(-50%);
}

.dates > ul > li::before {
  content: '';
  display: block;
  width: 1rem;
  height: 0.6rem;
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  background-color: #c46860;
  clip-path: polygon(0 0, 50% 100%, 100% 0);
}

.dates p {
  text-align: center;
}

.dates p:first-child {
  font-weight: 375;
}

.dates > ul > li p {
  margin: 0.25rem;
}

.dates > ul > li:nth-child(1) {
  left: 20%;
}

.dates > ul > li:nth-child(2) {
  left: 50%;
}

.dates > ul > li:nth-child(3) {
  left: 80%;
}

@media all and (max-width: 720px) {
  .dates p {
    width: 20rem;
    text-align: left;
    padding-left: 1rem;
  }

  .dates > ul {
    width: 0.25rem;
    height: 24rem;
    margin: var(--app-buffer);
    margin-left: calc(var(--app-buffer) * 5);
  }

  .dates > ul::before,
  .dates > ul::after {
    display: block;
    position: absolute;
    content: '';
    height: 0.25rem;
  }

  .dates > ul > li {
    width: fit-content;
    left: calc(100% + 5rem);
    transform: translateY(-50%);
  }

  .dates > ul > li:nth-child(1) {
    top: 20%;
  }

  .dates > ul > li:nth-child(2) {
    top: 50%;
  }

  .dates > ul > li:nth-child(3) {
    top: 80%;
  }

  .dates > ul > li::before {
    width: 0.6rem;
    height: 1rem;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    clip-path: polygon(0 0, 100% 50%, 0 100%);
  }
}

h2.with-icon,
h3.with-icon {
  display: flex;
  align-items: center;
  gap: 0.25rem;
}

.submissions ul {
  margin: 0;
  padding: 0;

  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(14rem, 1fr));
  gap: 0.5rem;

  list-style-type: none;
}

.submissions li {
  font-weight: 375;
}

.submissions li::before {
  display: inline-block;
  margin-right: 0.5rem;
  content: '\25BA';
  font-size: 0.65rem;
  color: #ed7c72;
  vertical-align: middle;
  transform: translateY(-0.1rem);
}

.fees {
  margin: 1rem 0;
  padding: 0;
  padding-bottom: 1rem;

  display: flex;
  align-items: stretch;
  justify-content: center;
  gap: 2.75rem;

  list-style-type: none;
}

.fees > li {
  flex-basis: 0;
  flex-grow: 1;
  max-width: 14rem;
}

.fees__card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 1rem;

  border-radius: 0.5rem;
  background: #ffffff;
  box-shadow: 
    0.1rem 0.1rem 0.2rem rgba(0,0,0,0.05),
    0.25rem 0.25rem 0.45rem rgba(0,0,0,0.1);

}

.fees__card > h3 {
  margin: 0;
  padding: 2rem;

  width: 100%;
  align-self: center;

  background-color: #c82f21;
  color: white !important;
  text-align: center;
  clip-path: polygon(0 0, 100% 0, 100% calc(100% - 2rem), 50% 100%, 0 calc(100% - 2rem));
}

li:nth-child(2) .fees__card > h3 {
  background-color: rgb(255, 112, 99);
}

.fees__card > h3::after {
  content: attr(data-fee);
  font-size: 2rem;
  display: block;
}

.fees__card ul {
  margin: 0;
  padding: 0;

  display: flex;
  flex-direction: column;

  list-style-type: none;
}

.fees__card li {
  padding: 0.5rem 0;
  text-align: center;
}

.fees__card li:not(:first-child) {
  border-top: 1px solid rgb(170, 170, 170);
}

@media all and (max-width: 720px) {
  #app-main h2,
  #app-main h3 {
    justify-content: center;
  }
  .fees {
    flex-direction: column;
  }

  .fees > li {
    max-width: none;
    width: 20rem;
    align-self: center;
  }
}

.organizer ul {
  margin: 0;
  padding: 0;

  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(20rem, 1fr));
  gap: 0.5rem;

  list-style-type: none;
}

.organizer li {
  padding: 1rem;

  border-radius: 0.25rem;
  background-color: white;
  box-shadow: 
    0 0 0.1rem rgba(0,0,0,0.1),
    0.25rem 0.25rem 0.65rem rgba(0,0,0,0.1);
}

.organizer li > p {
  margin: 0;
}

.organizer li > p:first-child {
  font-weight: 550;
}

/* FONTS */

@font-face {
  font-family: 'Roboto-Condensed';
  src: url('../assets/fonts/roboto_condensed_vf.woff2') format('woff2');
  font-weight: 100 900;
  font-display: swap;
}

.button {
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: block;
  font-size: 16px;
  margin: auto;
  cursor: pointer;
  background-color: #c82f21;
}
#schedule {
  border-collapse: collapse;
  width: 70%;
  margin: 0 auto;
  margin-top:4rem;
}

#schedule td, #schedule th {
  border: 1px solid #ddd;
  padding: 8px;
}

#schedule tr:nth-child(even){background-color: #f2f2f2;}

#schedule tr:hover {background-color: #ddd;}

#schedule th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #FF7063;
  color: white;
}

.Schedule {
  margin: 1rem 0;
  padding: 0;
  padding-bottom: 1rem;
/*
  display: flex;
  align-items: stretch;
  justify-content: center;
  */
  gap: 2.75rem;
  list-style-type: none;
}







